View Issue Details

IDProjectCategoryView StatusLast Update
13976Bug reports[All Projects] Survey takingpublic2018-08-28 12:01
ReporterjeloAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.14.x 
Summary13976: bootstrapbuttons not counted in answer logic
Description

When using bootstrapbuttons with a multiple choice question with min 1 and max 2 anwers, the tip warning stays read even though e.g. two answers are given.

BTW: It would be nice to get more control over the hints when using special logic fields.
E.g. allow to modfiy the relevance logic (like shown in the logic file) via a textfield.
Not everybody can afford to let three textlines in different colors distract respondents from the question itself.

Additional Information

Tested on demo.limesurvey.org

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.5+180815
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionNotneeded
Server OS (if known)Notneeded
Webserver software & version (if known)Notneeded
PHP VersionNotneeded

Activities

jelo

jelo

2018-08-16 17:08

partner  

20180816bootstrapbuttons.lss (18,767 bytes)
LouisGac

LouisGac

2018-08-17 10:58

manager   ~48811

good catch.

guest

guest

2018-08-27 17:44

viewer   ~48881

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27856

Related Changesets

LimeSurvey: master 347a5695

2018-08-27 17:43:34

Dominik Vitt

Details Diff
Fixed issue 13976: bootstrapbuttons not counted in answer logic Affected Issues
13976
mod - themes/question/bootstrap_buttons/survey/questions/answer/multiplechoice/answer.twig Diff File
add - themes/question/bootstrap_buttons/survey/questions/answer/multiplechoice/assets/scripts/bootstrapbuttons.css Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/multiplechoice/assets/scripts/bootstrapbuttons.js Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/multiplechoice/config.xml Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/multiplechoice/rows/answer_row.twig Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/multiplechoice/rows/answer_row_other.twig Diff File

Issue History

Date Modified Username Field Change
2018-08-16 17:08 jelo New Issue
2018-08-16 17:08 jelo File Added: 20180816bootstrapbuttons.PNG
2018-08-16 17:08 jelo File Added: 20180816bootstrapbuttons.lss
2018-08-17 10:58 LouisGac Note Added: 48811
2018-08-17 10:58 LouisGac Assigned To => dominikvitt
2018-08-17 10:58 LouisGac Status new => assigned
2018-08-27 17:44 Changeset attached => LimeSurvey master 347a5695
2018-08-27 17:44 guest Note Added: 48881
2018-08-27 17:44 guest Resolution open => fixed
2018-08-27 17:46 dominikvitt Status assigned => resolved
2018-08-27 17:46 dominikvitt Fixed in Version => 3.14.x
2018-08-28 12:01 LouisGac Status resolved => closed